Ubuntu

Logo is blurred on non-native resolutions on LCD screens

Reported by Étienne BERSAC on 2006-10-05
148
This bug affects 10 people
Affects Status Importance Assigned to Milestone
usplash (Ubuntu)
Low
Unassigned
Jaunty
Low
Martin Pitt
usplash-theme-ubuntu (Ubuntu)
Low
Kenneth Wimer
Jaunty
Low
Kenneth Wimer

Bug Description

On some displays, the Ubuntu logo at startup is stretched vertically. On others, it is stretched horizontally.

Both problems can be solved by choosing the most appropriate image for the screen size, but then centering it instead of scaling it to fit the screen. This would have three other benefits: it would mean fewer usplash images need to be included, each image can be smaller (including only the logo portion, not the entire screen), and most importantly the logo would no longer be made fuzzy by being scaled.

Related branches

Étienne BERSAC (bersace) wrote :

The wrong colors is due to the offb driver which doesn't support palette changing.

 status Confirmed

That is known, there are only 4:3 and 16:9 themes. It picks the
closest.

Changed in usplash:
status: Unconfirmed → Confirmed

Did you try editing the file /etc/usplash.conf making it matching your correct resolution?

It is already in the correct solution. Only the ubuntu logo is stretched
--
Verso l'Alto !

OK, I do understand English, what I misunderstood was your issue, sorry.

That's what we call "globish" :) A kind of english.
--
Verso l'Alto !

I confirm that bug on Macbook 13,3 " widescreen

Changed in usplash:
importance: Undecided → Medium
Tim Kersten (timkersten) wrote :

16:9 is a standard TV format for widescreens.
16:10 is a more widespread format amoung computers, especially laptops!

I found some popular formats for widescreens and their respective ratios. See for yourselves:

1280 x 768 = 16:9.6 (closer to 16:10 than 16:9)
1280 x 800 = 16:10
1366 x 768 = 16:9
1440 x 900 = 16:10
1920 x 1200 = 16:10

4 out of 5 of these resolutions are 16:10.
Unless I'm not seeing something here, 16:10 should be in there instead of 16:9. Although, having both would obviously be even better. :-)

Hi,

In the new version, the logo is stretched horizontally where it was
vertically. The usplash.conf remain the same (1280x800).

Étienne.
--
Verso l'Alto !

I've been experiencing the same issue for a couple of days, though usplash was correct before.

My screen is 1280x800, the splash is the Kubuntu one.

Pappan (ppadman) wrote :

can you share /etc/usplash.conf and /var/log/boot files ?

$ cat /etc/usplash.conf
# Usplash configuration file
xres=1280
yres=800

$ cat /var/log/boot
Oct 21 12:42:52 rcS: * Reading files needed to boot... [ ok ]
Oct 21 12:42:53 rcS: * Setting preliminary keymap... [ ok ]
Oct 21 12:42:53 rcS: * Preparing restricted drivers... [ ok ]
Oct 21 12:42:53 rcS: * Starting basic networking... [ ok ]
Oct 21 12:42:53 rcS: * Starting kernel event manager... [ ok ]
Oct 21 10:42:56 rcS: * Loading hardware drivers... [ ok ]
Oct 21 10:42:57 rcS: * Loading manual drivers... [ ok ]
Oct 21 10:42:59 rcS: * Mounting local filesystems... [ ok ]
Oct 21 10:42:59 rcS: * Activating swapfile swap... [ ok ]
Oct 21 10:43:02 rcS: * Configuring network interfaces... [ ok ]
Oct 21 10:43:02 rcS: * Setting up console keymap... [ ok ]
Oct 21 10:43:03 rc2: * Saving VESA state... [ ok ]
Oct 21 10:43:04 rc2: * Starting system log... [ ok ]
Oct 21 10:43:04 rc2: * Starting kernel log... [ ok ]
Oct 21 10:43:04 rc2: Starting K Display Manager: kdm.
Oct 21 10:43:05 rc2: * Starting Common Unix Printing System: cupsd [ ok ]
Oct 21 10:43:05 rc2: * Starting system message bus dbus [ ok ]
Oct 21 10:43:08 rc2: * Starting Hardware abstraction layer hald [ ok ]
Oct 21 10:43:09 rc2: * Starting powernowd... [ ok ]
Oct 21 10:43:11 rc2: * Loading ACPI modules... [ ok ]
Oct 21 10:43:11 rc2: * Starting ACPI services...
acpid: can't open /proc/acpi/event: Device or resource busy
Oct 21 10:43:11 rc2: * Starting anac(h)ronistic cron: anacron [ ok ]
Oct 21 10:43:11 rc2: * Starting deferred execution scheduler atd [ ok ]
Oct 21 10:43:11 rc2: * Starting periodic command scheduler... [ ok ]
Oct 21 10:43:11 rc2: * Checking battery state... [ ok ]
Oct 21 10:43:11 rc2: * Running local boot scripts (/etc/rc.local) [ ok ]

Why is this bug marked as a dublicate of bug #60621 ?

Please correct me if I'm wrong, but I don't think it has anything to do with the fact that there was "no usable theme for 640x480". The only thing it has something to do with is that the usplash them is out of proportion on wide screen laptops, no matter what the resolution.

I took a low quality photo of usplash on a widescreen(16:10), and on a normal screen(4:3). I know that the pictures are tiny, but they should be big enough to make out that the widescreen picture is out of proportion.

Further more, I'm not sure wether importance for this bug should be marked as 'medium' as the system boots perfectly, and the bug does not hinder any functionality.

Please let me know if I am mistaken.

Normal Thumbnail Attached

Download full text (4.6 KiB)

/etc/usplash.conf

# Usplash configuration file
xres=1440
yres=900

/var/log/boot

Oct 21 13:05:01 rcS: * Reading files needed to boot... [ ok ]
Oct 21 13:05:01 rcS: * Setting preliminary keymap... [ ok ]
Oct 21 13:05:01 rcS: * Preparing restricted drivers... [ ok ]
Oct 21 13:05:01 rcS: * Starting basic networking... [ ok ]
Oct 21 13:05:02 rcS: * Starting kernel event manager... [ ok ]
Oct 21 13:05:02 rcS: * Loading hardware drivers... error receiving uevent message: No buffer space available
Oct 21 13:05:03 rcS: [ ok ]
Oct 21 13:05:03 rcS: * Loading manual drivers... [ ok ]
Oct 21 13:05:03 rcS: * Mounting local filesystems... [ ok ]
Oct 21 13:05:03 rcS: * Activating swapfile swap... [ ok ]
Oct 21 13:05:03 rcS: * Configuring network interfaces... [ ok ]
Oct 21 13:05:04 rcS: * Setting up console keymap... [ ok ]
Oct 21 13:05:04 rc2: * Saving VESA state... [ ok ]
Oct 21 13:05:05 rc2: * Loading ACPI modules... [ ok ]
Oct 21 13:05:05 rc2: * Starting ACPI services... [ ok ]
Oct 21 13:05:05 rc2: * Starting system log... [ ok ]
Oct 21 13:05:05 rc2: * Starting kernel log... [ ok ]
Oct 21 13:05:05 rc2: Starting 915resolution: Intel 800/900 Series VBIOS Hack : version 0.5.2
Oct 21 13:05:05 rc2:
Oct 21 13:05:05 rc2: Chipset: 945GM
Oct 21 13:05:05 rc2: BIOS: TYPE 1
Oct 21 13:05:05 rc2: Mode Table Offset: $C0000 + $269
Oct 21 13:05:05 rc2: Mode Table Entries: 36
Oct 21 13:05:05 rc2:
Oct 21 13:05:05 rc2: Patch mode 3c to resolution 1440x900 complete
Oct 21 13:05:05 rc2: Intel 800/900 Series VBIOS Hack : version 0.5.2
Oct 21 13:05:05 rc2:
Oct 21 13:05:05 rc2: Chipset: 945GM
Oct 21 13:05:05 rc2: BIOS: TYPE 1
Oct 21 13:05:05 rc2: Mode Table Offset: $C0000 + $269
Oct 21 13:05:05 rc2: Mode Table Entries: 36
Oct 21 13:05:05 rc2:
Oct 21 13:05:05 rc2: Patch mode 4d to resolution 1440x900 complete
Oct 21 13:05:05 rc2: Intel 800/900 Series VBIOS Hack : version 0.5.2
Oct 21 13:05:05 rc2:
Oct 21 13:05:05 rc2: Chipset: 945GM
Oct 21 13:05:05 rc2: BIOS: TYPE 1
Oct 21 13:05:05 rc2: Mode Table Offset: $C0000 + $269
Oct 21 13:05:05 rc2: Mode Table Entries: 36
Oct 21 13:05:05 rc2:
Oct 21 13:05:05 rc2: Patch mode 5c to resolution 1440x900 complete
Oct 21 13:05:05 rc2: 915resolution.
Oct 21 13:05:07 rc2: * Starting GNOME Display Manager... [ ok ]
Oct 21 13:05:08 rc2: * Starting Common Unix Printing System: cupsd [ ok ]
Oct 21 13:05:08 rc2: * Starting HP Linux Printing and Imaging System [ ok ]
Oct 21 13:05:09 rc2: * Starting system message bus dbus [ ok ]
Oct 21 13:05:11 rc2: * Starting Hardware abstraction layer hald [ ok ]
Oct 21 13:05:11 rc2: * Starting DBUS aware dhcp client: dhcdbd [ ok ]
Oct 21 13:05:11 rc2: * Starting NetworkManager daemon [ ok ]
Oct 21 13:0...

Read more...

I have the same problem with an Asus notebook.

My fix was:

1. changed /etc/usplash.conf to 1024x768, which fixed the shutdown splash.
2. removed vga=771 from /boot/grub/menu.lst, which allowed the entry in /etc/usplash.conf to be used at bootup.

Aleve Sicofante (sicofante) wrote :

4:3 is no longer the most popular aspect ratio nowadays. 5:4 is used in almost every 17" and 19" LCD, which are the most ordinary monitors everywhere.

Shouldn't this splash screen be SVG based or something similar so it doesn't need a individual image for each resolution or aspect ratio?

Feisty beta's usplash logo is also out of shape on a wide screen monitor. It does not look as "sexy" and "professional" as on a standard monitor. The aspect ration is out.

Should this bug not have a low "low" importance rather than "medium"?? It does not render anything unusable - only makes booting not look as nice as it could due to distortion.

Alexander Jones (alex-weej) wrote :

From my other report:

Usplash shows at 1024x768 when my monitor is 1280x1024 = incorrect proportion

This means that everything is of the wrong proportions, as 1024x768 is 4:3 and 1280x1024 is 5:4. The circular Ubuntu logo looks squashed like an egg.

This is not a problem on my other system, which up until yesterday was running the same version.

My hardware: ATI Radeon 9800 Pro (R350) + Iiyama ProLite E431S (DVI)
Working hardware: ATI Radeon 9000 Pro + Iiyama (can't remember specific model, can check later if needed) (DVI)

So both configurations are in DVI. Can someone help me debug this so we can get this fixed and polished up?

====

I'll take a look at the usplash configuration on the "correct" system. Mine is set to 1024x768 with no vga kernel option, and it seems that it is actually working.

Maybe the framebuffer drivers for the two cards behave differently when asked to put a 1024x768 FB on a 1280x1024 screen... Though in X, the display is stretched to fit so I don't know.

Confirming issue on my Dell XPS M1710 laptop - I have a 1920x1200 LCD panel, and the logo is stretched.

No interesting info in /var/log/boot. I use a Nvidia Go 7900GTX card.

~$ cat /etc/usplash.conf
# Usplash configuration file
xres=1920
yres=1200

Juksu (jluostar) wrote :

Same distortion issue here on HP nc8430 laptop, with 1680x1050 resolution (in usplash.conf as well)
(Edgy,Feisty and Gutsy amd64 versions)

Still an issue. To clarify:

Summary: usplash fails to properly identify and / or select the widescreen usplash theme from the compiled binary. The resulting usplash displays a 4:3 aspect splash stretched horizontally to fill the screen. The net result is a 'squished' usplash display on widescreen monitors.

Frequency: Always.

Architecture: amd64 Ubuntu version 7.10.

Additional Details: NVidia 7300 GPU class in this instance.

Wiktor Wandachowicz (siryes) wrote :

Maybe you can use some info from my post in the Ubuntu Forums?
See: "GeForce 1440x900 resolution, virtual terminals and wide usplash-theme-ubuntu [gutsy]"
http://ubuntuforums.org/showthread.php?t=622018

I've compiled there the information from this bug report, a bug #129910 and my experiments.

I believe that at least some instructions, from point 6. to 8. you may find useful. And if usplash documentation is right, the 1440x900 usplash image could be displayed correctly on displays with 16:9 or 16:10 ratios, even in resolutions higher than 1440x900.

Changed in usplash:
status: Confirmed → Triaged
Juksu (jluostar) wrote :

This still happens on Ubuntu Hardy 8.04 Beta with all updates to date on my HP nc8430 with a 15" 1680x1050 widescreen display (and ATI mobility radeon X1600).
Although the image is not as badly stretched as in Feisty/Gutsy. So improvement, little by little.

Alexander Jones (alex-weej) wrote :

Is the original description still accurate? On my MacBook Pro which has resolution 1440×900 (16:10), it's apparent that usplash is using the 4:3 version and stretching it wider.

description: updated
Changed in usplash:
importance: Medium → Low

> On iMac G5 rev C, ubuntu logo is stretched vertically. That's really
> strange on a widescreen, where i expected the usplash to be stretched
> horizontally. The usplash is correctly centered.

That's correct, I've experienced the same problem in two variations:
* on my Gutsy installation usplash is stretched horizontally.
* on my Hardy installation usplash is stretched vertically.

This happens only after I change usplash resolution to 1440x900.
When in default, 4:3 mode (like 640x480, 800x600 or 1024x768),
usplash is always stretched horizontally, with granular image
which is the result of scaling.

Workaround for 1440x900 display: in the /etc/usplash.conf set the following values:
xres=1440
yres=1080

The image will be displayed correctly.

Eduard Grebe (eduardgrebe) wrote :

I have this issue on an Asus EeePC 1000 with 10" screen w 1024x600 resolution as well as on my desktop machine with 1440x900. I must say this makes Ubuntu look very unprofessional. I wonder if the bug's importance as Low (and not being assigned to anyone) can be reconsidered?

A bug's importance is not a rating of how good or bad it looks - it's
based on whether it hinders your system in working. i.e. if you cannot
use your machine at all because of a bug, then it's importance would
be high or critical. The splash screen makes no difference to whether
you can use your machine or not. It has no performance impact either
so it's "importance" is low. I understand that you'd like it to look
nicer as I would too :-)

Tim ^,^

(P.S. I agree that it doesn't look terrible professional too.)

On Mon, Sep 1, 2008 at 7:46 PM, Eduard Grebe <email address hidden> wrote:
> I have this issue on an Asus EeePC 1000 with 10" screen w 1024x600
> resolution as well as on my desktop machine with 1440x900. I must say
> this makes Ubuntu look very unprofessional. I wonder if the bug's
> importance as Low (and not being assigned to anyone) can be
> reconsidered?
>
> --
> ubuntu splash logo stretched on non-4:3/16:9 displays
> https://bugs.launchpad.net/bugs/64147
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "usplash" source package in Ubuntu: Triaged
>
> Bug description:
> Hello,
>
> On iMac G5 rev C, ubuntu logo is stretched vertically. That's really strange on a widescreen, where i expected the usplash to be stretched horizontally. The usplash is correctly centered.
>
> Étienne.
>
> Update : People also report horizontally stretched usplash screen.
>

i consider this important, medium fits it perfectly, because anyone who boots up ubuntu will notice the ugly stretchyness, and widescreen monitors are the most common kind of monitor nwadays, and it just doesnt make SENSE for usplash to not support them!

i think the importance of this bug should be raised back to medium. even though it isnt showstopping, its still a very big issue. like i said before, most screens nowadays are widescreens, and it is a really big issue if usplash doesnt work correctly for most of the users. this bug should be set back to medium because it affects an extremely large amount of people (anyone with a widescreen monitor, or monitor that isnt 4:3) and you WILL notice the problem, because usplash is enabled by default, and so everyone will be able to see the problem the moment they turn their computer on. this problem is BIG. i hope usplash will be able to automatically detect the native resulution of your monitor by the time intrepid gets released.

Saivann Carignan (oxmosys) wrote :

I did set the importance to low because :
1. Most of screen are not affected.
2. It doesn't cause any data loss, crash or does not affect the use of the computer in any way.
3. Even if it doesn't look great, it's far from a corrupted screen which make people think that their computer is dying ;)

So unfortunately, even if I change the importance, developers will still work on more important issues, and I understand them because there are really problematic issues to fix before this one. However, with opensource software, work always have more impact that words, so if you (and/or other people) want it to be fixed, and think that you can do some work on this, don't hesitate to start working. Otherwise, you can wait for a developer to fix issue when time will come. It's our decision ;)

I know bug reports are not discussion forums, but let me just say that
this approach runs counter to Mark Shuttleworth's stated goal of having
Ubuntu look better than the Mac. I also use OS X and this is the kind of
aesthetic compromise Apple would never make. So this is something I
would have devoted Canonical resources to (usplash is part of main after
all). (Unfortunately I am not a developer but a mere user of Ubuntu,
otherwise I would try to work on this.)

Saïvann Carignan wrote:
> I did set the importance to low because :
> 1. Most of screen are not affected.
> 2. It doesn't cause any data loss, crash or does not affect the use of the computer in any way.
> 3. Even if it doesn't look great, it's far from a corrupted screen which make people think that their computer is dying ;)
>
> So unfortunately, even if I change the importance, developers will still
> work on more important issues, and I understand them because there are
> really problematic issues to fix before this one. However, with
> opensource software, work always have more impact that words, so if you
> (and/or other people) want it to be fixed, and think that you can do
> some work on this, don't hesitate to start working. Otherwise, you can
> wait for a developer to fix issue when time will come. It's our decision
> ;)
>
>

I think that the reason this has not been fixed is a combination of:
a) difficulties determining the hardware/size/resolution
and
b) difficulty finding someone with the necessary technical understanding

Hernando Torque (htorque) wrote :

Nothing productive, just for your "bug policy": http://en.wikipedia.org/wiki/Resource_starvation

I hope you understand what I mean.

why doesnt usplash do this:

it only has one image of the ubuntu boot logo, and its cropped so that its the ubuntu logo and nothing else. then, when the computer boots, it just takes the image of the ubuntu logo, puts it against a black background, and centers it? that way, one image will work for all monitors!

also, if opensuse and everyone else can have a bootloader that actually works, theres no reason why we cant. there is no excuse as to why usplash sucks. and i emphasize that word. usplash sucks, because it only supports ONE aspect ratio. one old, dying aspect ratio that is quickly getting replaced by widescreen monitors.

Wiktor Wandachowicz (siryes) wrote :

@Jessie Lawrence: I undestand your pain but the problem is not in the number of images, the problem is in determining and using the native resolution of the monitor. Think about this: let's suppose the usplash uses only one image of 300x200 pixels. Centering it is no problem, but the end result depends heavily on the resolution and whether the monitor stretches the screen in a specific case or not. Now the resolution depends on VESA suppor in the graphics card...

If it was easy, it would be already done, believe me.

John Baer (j.baer) wrote :

Although I'm not using an iMAC, I am using a wide screen monitor (1920x1200) and the logo is stretched. :( I do not have knowledge of the number of wide screen monitors in use by the community but they certainly appear to be the trend in the LCD market.

Hernando Torque (htorque) wrote :

Well, why not letting the user tell usplash, if the screen gets stretched or not (via /etc/usplash.conf)?

Usplash currently only handles 4:3 video modes, so options are:

1. Display an image of native resolution (or aspect ratio) compressed to 4:3 if the screen gets stretched, or
2. Display a native 4:3 image if the screen doesn't get stretched.

For my 1280*768 screen I created a 1280*768 image, compressed it to 1024*768 (4:3) and overwrote the 4:3 image usplash was using for my screen.

Even after stretching it looks nice and the Ubuntu logo is real circle.

®om (rom1v) wrote :

Same problem in intrepid beta on my 16:10 screen.

$ cat /etc/usplash.conf
# Usplash configuration file
# These parameters will only apply after running update-initramfs.

xres=1680
yres=1050

uplash is stretched horizontally :(

goodhabit (goodhabit) wrote :

I have horizontally stretched usplash @ 1680x1050 too.

I have a temporary suggestion. Simply download the Usplash source file from here:
https://launchpad.net/ubuntu/+source/usplash-theme-ubuntu/0.19
for example. But before building it, use the gimp to squash the widescreen image that's included in the folder and replace all (or at least the resolution you're using) by scaling without maintaining aspect ratio. Your resulting image should be distorted opposite to your current boot splash. Don't worry, that's what you want. Before saving each, select [image] menu [Mode], [Indexed]. Except gimps defaults and be sure to save as proper format and exact name of the file you intend to replace. (I leave the original file there so I make certain to get them all, and have to confirm overwriting). Then make it, and use startup manager to replace your current usplash with the .so you just created.

BTW: the lazy answer is to use startup manager to set splash resolution to the square screen closest to your screen height. The sides will be black bars like on a ws tv with square pic, but you won't notice 'cuse the Usplash is black anyhow.

description: updated
description: updated

This bug is being looked into right now. If it turns out to be fixable, we're hoping to introduce the patch for Jaunty beta.

Changed in usplash:
assignee: nobody → pitti
Martin Pitt (pitti) on 2009-02-27
Changed in usplash:
milestone: none → ubuntu-9.04-beta
status: Triaged → In Progress
Martin Pitt (pitti) wrote :

I renamed the bug because current usplash already determines the "themed area" according to the screen resolution and the available themes, and puts borders around it. So I don't believe that the stretching is still an issue. Deformations on high resolutions were handled and fixed in bug 245437.

So I devote this bug to the problem that the background pixmap needs to cover the entire screen. I was asked to provide functionality in usplash to specify the X/Y offset of the background image, so that we can define plenty of themes for many resolutions without the need of providing background images for all of them. Instead, it's enough to define a small number of logos (small, medium, large resolution) and just put them at the appropriate position.

For this, I added these fields to the theme definition:

       /* theme resolution; if 0, use width/height of pixmap */
       short theme_width;
       short theme_height;

       /* position of pixmap */
       short pixmap_x;
       short pixmap_y;

Kenneth, Mat, please confirm whether this is what you need.

Martin Pitt (pitti) wrote :

Just talked to Ken, and there are actually two different aspects:

 - The patch I talked about above is merely making it easy to define themes, and supply plenty of them for different resolutions without having to duplicate the background images.

 - If usplash.conf does not have the monitor's native resolution, then the image will appear scaled on LCDs, unless you configured your monitor to show the native size with borders (which many external TFTs can do, but few laptop screens). That's an entirely different problem, though, and will finally be fixed with kernel mode settings in Karmic or later. I'll check how/what currently generates usplash.conf, and whether we can improve this.

Martin Pitt (pitti) wrote :

I put the new usplash into my PPA, for playing around:

 usplash (0.5.30~ppa1) jaunty; urgency=low
 .
   * Providing a background image for all possible resolutions has become too
     cumbersome. Thus change theme definitions to be able to provide just a
     logo, its screen position, and an explicit theme size: (see #64147)
     - usplash-theme.h: Add new fields theme_width, theme_height, pixmap_x,
       pixmap_y. Bump THEME_VERSION for this.
     - usplash-theme.h: Add new functions usplash_theme_width() and
       usplash_theme_height() which usplash and themes should use instead of an
       explicit pixmap->width/height. These functions will return
       theme_{width,height} and fall back to the pixmap's dimensions if the
       theme size is 0.
     - libusplash.c: Implement above two functions, update the code to use them
       instead of the pixmap dimensions, and add the pixmap_{x,y} offset when
       drawing pixmap.
     - This will require all usplash themes to be rebuilt, define above
       four fields, and replace theme->pixmap->width() with
       usplash_theme_width(theme) (likewise for height). If you want to retain
       full screen pixmaps, just set all of those fields to 0.

Martin Pitt (pitti) wrote :

This debdiff for usplash-theme-ubuntu (now also uploaded into my PPA) demonstrates how usplash themes have to be changed to use the new theme definition, but not change any behaviour.

Martin Pitt (pitti) wrote :

To use only a logo, you could do something like

extern struct usplash_pixmap pixmap_usplash_logo_small;

[...]

struct usplash_theme usplash_theme = {
        .version = THEME_VERSION, /* ALWAYS set this to THEME_VERSION,
                                 it's a compatibility check */
    .next = &usplash_theme_640_480,
    .ratio = USPLASH_16_9,

        /* Background and font */
        .pixmap = &pixmap_usplash_logo_small,

        /* theme resolution; if 0, use width/height of pixmap */
        .theme_width = 640,
        .theme_height = 400,

        /* position of pixmap */
        .pixmap_x = 200,
        .pixmap_y = 80,

  [...]

Martin Pitt (pitti) wrote :

I also confirmed how usplash.conf is written: the installer reconfigures the usplash package. usplash's postinst essentially calls "xdpyinfo |grep dimensions" and writes the resolution to usplash.conf.

So we can promise the following: On every computer where X.org looks correct during installation, usplash will, too. This should be the case on the vast majority of systems nowadays, and if X.org comes up with a non-ideal resolution you can always use the resolution capplet to fix it.

We can assert that usplash will *always* look scaled and blurry when booting the desktop live system, since at that point we can't do reliable monitor detection. This will eventually be handled with KMS, which isn't quite ready yet and out of scope for Jaunty.

Under those constraints, should I upload above usplash theme change, and do you need anything else for Jaunty?

Mat Tomaszewski (mat.t.) wrote :

Thanks again for your help on this Martin - much appreciated!

Michael Marley (mamarley) wrote :

Will you also upload the theme changes for Kubuntu and Xubuntu, please?

Kenneth Wimer (kwwii) wrote :

Martin: Yes, I think we can commit this. For now I assume there is little change to the theme. I'll get to work adapting the design to this format and put a theme package together by tomorrow.

Michael: I have discussed this with the Kubuntu people and they have basically agreed to use the same format and design as the Ubuntu usplash. Naturally the same offer can be made to Xubuntu (or anyone else, really).

Michael Marley [2009-03-04 13:49 -0000]:
> Will you also upload the theme changes for Kubuntu and Xubuntu, please?

Once I got told that I should upload this, I'll adapt and upload all
usplash themes in the archive, of course.

Martin Pitt (pitti) on 2009-03-04
Changed in usplash:
status: In Progress → Fix Committed

This bug was fixed in the package usplash - 0.5.30

---------------
usplash (0.5.30) jaunty; urgency=low

  * Providing a background image for all possible resolutions has become too
    cumbersome. Thus change theme definitions to be able to provide just a
    logo, its screen position, and an explicit theme size: (LP: #64147)
    - usplash-theme.h: Add new fields theme_width, theme_height, pixmap_x,
      pixmap_y. Bump THEME_VERSION for this.
    - usplash-theme.h: Add new functions usplash_theme_width() and
      usplash_theme_height() which usplash and themes should use instead of an
      explicit pixmap->width/height. These functions will return
      theme_{width,height} and fall back to the pixmap's dimensions if the
      theme size is 0.
    - libusplash.c: Implement above two functions, update the code to use them
      instead of the pixmap dimensions, and add the pixmap_{x,y} offset when
      drawing pixmap.
    - This will require all usplash themes to be rebuilt, define above
      four fields, and replace theme->pixmap->width() with
      usplash_theme_width(theme) (likewise for height). If you want to retain
      full screen pixmaps, just set all of those fields to 0.

 -- Martin Pitt <email address hidden> Wed, 04 Mar 2009 21:41:36 +0100

Changed in usplash:
status: Fix Committed → Fix Released
Michael Marley (mamarley) wrote :

I have tried with the packages from your PPA, but I still see the stretched image.

Michael Marley (mamarley) wrote :

Nevermind, I just realized that I had to force the console into 1680x1050 mode for it to work right on my laptop.

Martin Pitt (pitti) wrote :

I now updated all usplash themes for the new usplash above and uploaded them to Jaunty.

Michael, this new usplash version will not change any scaling. As I explained above, that requires a correct /etc/usplash.conf, i. e. it should use your monitor's native resolution. Wasn't that set up correctly for you when installing? If you do

  sudo rm /etc/usplash.conf
  sudo dpkg-reconfigure usplash

under X.org, what does it configure in /etc/usplash.conf?

Martin Pitt (pitti) wrote :

I keep the -theme-ubuntu task open, since Ken said he wanted to look into defining more themes for more resolutions, and actually use the new feature (just supply two or three logos and place them appropriately).

Changed in usplash-theme-ubuntu:
assignee: nobody → kwwii
status: New → Triaged
Michael Marley (mamarley) wrote :

The usplash.conf is set up to use native resolution, but for some reason it doesn't unless I force the framebuffer mode in the kernel boot commands.

pitwalker (pitwalker) wrote :

Dear Martin Pitt,

my laptop's native resolution is 1280x800
I use usplash 0.5.30 and usplash-theme-ubuntu 0.21
I reconfigured usplash, that automatically generates a good /etc/usplash.conf
but the logo is STILL STRETCHED HORIZONTALLY :-(

Dear Pitwalker

Thank you for your report. This might be related to the vesa mode. Please tell me the output of the command 'cat /proc/cmdline'.

Hernando Torque (htorque) wrote :

My notebook's native resolution is 1280*768, /etc/usplash.conf had to be corrected, logo/theme (usplash takes the 4:3 version) is stretched (using the default kernel line root=... ro quiet splash).

I know that my video card doesn't list a wide screen VESA video mode - could this be related?

pitwalker (pitwalker) wrote :

cat /proc/cmdline
root=UUID=21e742bf-fbd7-4c5b-82f4-92bdf09a2bd1 ro quiet splash
lspci |grep VGA
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
(on my DELL INSPIRON 1520 the logo is stretched under Intrepid and Jaunty)

Martin Pitt (pitti) wrote :

Leonard, please note that we don't set a vesa mode on the kernel command line by default. usplash entirely relies on a correct usplash.conf, and an existing vesa mode for this.

It seems that the problem for Hernando and pitwalker is that usplash/svgalib picks a wrong video mode.

xres=1440
yres=900

in usplash.conf, yet logo still appears stretched after pitti's updates
(looks like 4:3 -> 16:10)

Martin, thank you for you answer. On my machine - which might be too little of a default installation - I don't get any usplash screen if I don't set a vga kernel option. Maybe I have to install svgalib.

(How are users expected to set the console video mode? Startup-manager?)

Kenneth Wimer (kwwii) wrote :

As stated before, until the new theme is uploaded there will be no noticable effect (which is good for legacy themes, eh?)

If you are interested in testing the new theme (baked fresh today!) build the source from http://code.launchpad.net/~ubuntu-art-pkg/usplash-theme-ubuntu/ubuntu . Make sure that you are running Jaunty with the latest usplash updates or build them yourself from the source...bzr get lp:usplash, debuild, install 3 debs in the right order, then install theme.

Hernando Torque (htorque) wrote :

So if there doesn't exist a vesa mode for the native screen resolution (and one can't force the monitor to not stretch the output) there is no fix other than using a compressed image, right?

Kenneth Wimer (kwwii) wrote :

Well, better put would be to say "if the vesa mode isn't supported correctly there might be visual artefacts" because it is not really scaling, although the effect is similar in the end (albeit worse than scaling). Any given combination of monitor/graphics card with the wrong resolution will lead to different problems. We assume that the resolution will be correctly defined at boot and things will work as well as possible with the given resolutions (greatly increased in the newest theme package). The new plymouth code depending on kernel mode settings will fix this (Karmic or K+1).

I think that the newest code and theme fixes many of these problems, testing is required, however.

Hernando Torque (htorque) wrote :

Due to the smaller logo size now used for my screen, the stretching is far less noticable (the "not-really-scaling"-factor stays the same, of course):

http://dl.getdropbox.com/u/673326/DSCF1691.JPG

I had to add the compressed logo to see the difference:

http://dl.getdropbox.com/u/673326/DSCF1693_crop.JPG

Mat Tomaszewski (mat.t.) wrote :

It looks like this bug is not fixable with the currently available technology.
Martin, Ken, thanks for having a bash at it!

Colin Watson (cjwatson) on 2009-03-11
Changed in usplash-theme-ubuntu:
importance: Undecided → Low
Kenneth Wimer (kwwii) wrote :

Still working on this after review of the current artwork and code

Changed in usplash:
status: Fix Released → In Progress
Martin Pitt (pitti) wrote :

We'll not change anything further in usplash in Jaunty.

Changed in usplash (Ubuntu Jaunty):
milestone: ubuntu-9.04-beta → none
status: In Progress → Confirmed
status: Confirmed → Won't Fix
Martin Pitt (pitti) wrote :

Switching to KMS and plymouth will be the real fix for this, in Karmic and beyond. With current usplash and the kernel's svga support it's next to impossible to get this right, and we will stop using usplash in the next release anyway.

Changed in usplash (Ubuntu):
assignee: pitti → nobody
status: Confirmed → Won't Fix
Mat Tomaszewski (mat.t.) wrote :

I agree, thanks again for your work on this Martin.

Kenneth Wimer (kwwii) wrote :

While the problem still exists, the latest usplash theme tries to work as best as possible. There are still problems but these will only be solved by a new infrastructure and not new pictures.

We will use the newest usplash-theme-ubuntu package (https://code.launchpad.net/~ubuntu-art-pkg/usplash-theme-ubuntu/ubuntu). Note that this has been approved by sabdfl. But I guess that is a sponsoring bug I need to make :-)

Kenneth Wimer [2009-03-17 21:04 -0000]:
> We will use the newest usplash-theme-ubuntu package
> (https://code.launchpad.net/~ubuntu-art-pkg/usplash-theme-
> ubuntu/ubuntu). Note that this has been approved by sabdfl. But I guess
> that is a sponsoring bug I need to make :-)

Don't worry, I can just do it if you want me.

JC Hulce (soaringsky) wrote :

Thank you for taking the time to report this bug. This issue has been tackled in newer versions of Ubuntu, and Jaunty is EOL, so I am closing this bug task.

Changed in usplash-theme-ubuntu (Ubuntu):
status: Triaged → Invalid
Changed in usplash-theme-ubuntu (Ubuntu Jaunty):
status: Triaged → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers